﻿@model IEnumerable<CaseTecnicoWeb.Models.ViewModels.EspecieViewModel>

@{
    ViewData["Title"] = "Index";
}

<h1>Listagem de especies</h1>

<p>
    <a asp-action="Create">Cadastrar Nova</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.EspeciesId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Descricao)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.EspeciesId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Descricao)
            </td>
            <td>
                @Html.ActionLink("Editar", "Edit", new { id = item.EspeciesId }) |
                @Html.ActionLink("Detalhar", "Details", new { id = item.EspeciesId }) |
                @Html.ActionLink("Deletar", "Delete", new { id=item.EspeciesId })
            </td>
        </tr>
}
    </tbody>
</table>
